<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="46b159bd-08ca-42f0-b80f-41d4944a8a29" name="Changes" comment="App端诊断日志上传">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/om/controller/admin/RoleMenuController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/om/controller/admin/RoleMenuController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/om/entity/po/RoleMenu.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/om/entity/po/RoleMenu.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/om/mapper/RoleMenuMapper.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/om/mapper/RoleMenuMapper.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/om/service/IRoleService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/om/service/IRoleService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/om/service/impl/RoleServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/om/service/impl/RoleServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/mapper/RoleMenuMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/mapper/RoleMenuMapper.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="PUSH_AUTO_UPDATE" value="true" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master-site" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="UPDATE_TYPE" value="REBASE" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="useMavenConfig" value="false" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 4
}</component>
  <component name="ProjectId" id="2bRXnA0a6xf96LKQuj3K31U3F7Y" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_ADD_EXTERNAL_FILES&quot;: &quot;true&quot;,
    &quot;Application.CodeGenerator.executor&quot;: &quot;Run&quot;,
    &quot;Maven.OperationSystem [clean].executor&quot;: &quot;Run&quot;,
    &quot;Maven.OperationSystem [package].executor&quot;: &quot;Run&quot;,
    &quot;Maven.OperationSystem [validate].executor&quot;: &quot;Run&quot;,
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;Spring Boot.OperationApplication.executor&quot;: &quot;Run&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;git-widget-placeholder&quot;: &quot;master&quot;,
    &quot;ignore.virus.scanning.warn.message&quot;: &quot;true&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/Administrator/IdeaProjects/OperationSystem&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;npm.dev.executor&quot;: &quot;Run&quot;,
    &quot;project.structure.last.edited&quot;: &quot;库&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.15&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;MavenSettings&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;e5344c6eb967ac845090dcf3a4fa5dde&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/resources/mapper" />
      <recent name="$PROJECT_DIR$/src/main/java/com/om/controller/user" />
      <recent name="$PROJECT_DIR$/src/main/java/com/om/service" />
      <recent name="$PROJECT_DIR$/src/main/java/com/om/entity/po" />
      <recent name="$PROJECT_DIR$/src/main/java/com/om/service/impl" />
      <recent name="$PROJECT_DIR$/src/main/java/com/om/mapper" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\wxy\IdeasProjects\outsourcing\OperationSystem\src\main\resources\mapper" />
      <recent name="C:\Users\wxy\IdeasProjects\outsourcing\OperationSystem\src\main\java\com\om\entity\vo" />
      <recent name="C:\Users\wxy\IdeasProjects\outsourcing\OperationSystem\src\main\java\com\om\service\impl" />
      <recent name="C:\Users\wxy\IdeasProjects\outsourcing\OperationSystem\src\main\java\com\om\service" />
      <recent name="C:\Users\wxy\IdeasProjects\outsourcing\OperationSystem\src\main\java\com\om\mapper" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.om.controller.user" />
      <recent name="com.om.config" />
      <recent name="com.om.utils" />
      <recent name="com.om.controller.admin" />
      <recent name="com.om.service.impl" />
      <recent name="com.om.service" />
      <recent name="com.om.mapper" />
    </key>
  </component>
  <component name="RunManager" selected="Spring Boot.OperationApplication">
    <configuration name="CodeGenerator" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.om.utils.CodeGenerator" />
      <module name="OperationSystem" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.om.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="OperationApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <module name="OperationSystem" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.om.OperationApplication" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.om.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="dev" type="js.build_tools.npm" temporary="true" nameIsGenerated="true">
      <package-json value="$PROJECT_DIR$/yanxin-admin/package.json" />
      <command value="run" />
      <scripts>
        <script value="dev" />
      </scripts>
      <node-interpreter value="project" />
      <envs />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.OperationApplication" />
        <item itemvalue="npm.dev" />
        <item itemvalue="Spring Boot.OperationApplication" />
        <item itemvalue="npm.dev" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9f38398b9061-18abd8497189-intellij.indexing.shared.core-IU-241.14494.240" />
        <option value="bundled-js-predefined-1d06a55b98c1-74d2a5396914-JavaScript-IU-241.14494.240" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="46b159bd-08ca-42f0-b80f-41d4944a8a29" name="Changes" comment="" />
      <created>1706179029455</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1706179029455</updated>
      <workItem from="1706179030846" duration="895000" />
      <workItem from="1706233987949" duration="10757000" />
      <workItem from="1706264160330" duration="728000" />
      <workItem from="1706414608767" duration="680000" />
      <workItem from="1706415453436" duration="3741000" />
      <workItem from="1706419384391" duration="5896000" />
      <workItem from="1706447894119" duration="1867000" />
      <workItem from="1706491186300" duration="10216000" />
      <workItem from="1706514434377" duration="49000" />
      <workItem from="1706600161771" duration="1313000" />
      <workItem from="1706664319188" duration="4639000" />
      <workItem from="1706697285028" duration="1227000" />
      <workItem from="1706709514298" duration="695000" />
      <workItem from="1706750483961" duration="9736000" />
      <workItem from="1706782347495" duration="1275000" />
      <workItem from="1706785269288" duration="21000" />
      <workItem from="1706838288496" duration="1975000" />
      <workItem from="1707095903203" duration="11627000" />
      <workItem from="1707108708796" duration="122000" />
      <workItem from="1707113093610" duration="1998000" />
      <workItem from="1707124341633" duration="1141000" />
      <workItem from="1707273858155" duration="5510000" />
      <workItem from="1707295344394" duration="5919000" />
      <workItem from="1707355242246" duration="627000" />
      <workItem from="1707355884110" duration="8433000" />
      <workItem from="1707364400277" duration="8765000" />
      <workItem from="1707387945482" duration="394000" />
      <workItem from="1707388468820" duration="1399000" />
      <workItem from="1707438514767" duration="8903000" />
      <workItem from="1708670527995" duration="3132000" />
      <workItem from="1708916949997" duration="4355000" />
      <workItem from="1708925853376" duration="15000000" />
      <workItem from="1709043200200" duration="1433000" />
      <workItem from="1709105595721" duration="585000" />
      <workItem from="1709597538938" duration="1349000" />
      <workItem from="1709599670703" duration="7522000" />
      <workItem from="1710143546149" duration="258000" />
      <workItem from="1710143821704" duration="561000" />
      <workItem from="1710335409948" duration="1570000" />
      <workItem from="1710721567291" duration="198000" />
      <workItem from="1710721799820" duration="2290000" />
      <workItem from="1710740432278" duration="2248000" />
      <workItem from="1710745462072" duration="7048000" />
      <workItem from="1716601848539" duration="716000" />
      <workItem from="1716602583519" duration="5960000" />
    </task>
    <task id="LOCAL-00001" summary="管理员登录">
      <option name="closed" value="true" />
      <created>1706425450593</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1706425450593</updated>
    </task>
    <task id="LOCAL-00002" summary="初始化运维项目">
      <option name="closed" value="true" />
      <created>1706771098854</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1706771098854</updated>
    </task>
    <task id="LOCAL-00003" summary="初始化运维项目">
      <option name="closed" value="true" />
      <created>1706772577945</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1706772577945</updated>
    </task>
    <task id="LOCAL-00004" summary="初始化运维项目">
      <option name="closed" value="true" />
      <created>1706773538956</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1706773538956</updated>
    </task>
    <task id="LOCAL-00005" summary="管理员电话和邮箱修改">
      <option name="closed" value="true" />
      <created>1707108782511</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1707108782511</updated>
    </task>
    <task id="LOCAL-00006" summary="web品牌管理接口">
      <option name="closed" value="true" />
      <created>1707363840812</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1707363840812</updated>
    </task>
    <task id="LOCAL-00007" summary="web维修厂管理接口">
      <option name="closed" value="true" />
      <created>1707379339504</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1707379339505</updated>
    </task>
    <task id="LOCAL-00008" summary="web维修厂管理接口">
      <created>1708568311113</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1708568311113</updated>
    </task>
    <task id="LOCAL-00009" summary="web维修厂管理接口">
      <created>1708671884585</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1708671884585</updated>
    </task>
    <task id="LOCAL-00010" summary="用户角色权限更新">
      <option name="closed" value="true" />
      <created>1708942701821</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1708942701821</updated>
    </task>
    <task id="LOCAL-00011" summary="refined">
      <option name="closed" value="true" />
      <created>1708943025018</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1708943025018</updated>
    </task>
    <task id="LOCAL-00012" summary="refined">
      <option name="closed" value="true" />
      <created>1708944825375</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1708944825375</updated>
    </task>
    <task id="LOCAL-00013" summary="使用手册模块更新">
      <option name="closed" value="true" />
      <created>1709086749429</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1709086749430</updated>
    </task>
    <task id="LOCAL-00014" summary="视频上传修正">
      <option name="closed" value="true" />
      <created>1709604133381</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1709604133381</updated>
    </task>
    <task id="LOCAL-00015" summary="合并master，3.11">
      <option name="closed" value="true" />
      <created>1710145459857</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1710145459857</updated>
    </task>
    <task id="LOCAL-00016" summary="增加master缺失文件，3.11">
      <option name="closed" value="true" />
      <created>1710146731016</created>
      <option name="number" value="00016" />
      <option name="presentableId" value="LOCAL-00016" />
      <option name="project" value="LOCAL" />
      <updated>1710146731016</updated>
    </task>
    <task id="LOCAL-00017" summary="修复bug">
      <option name="closed" value="true" />
      <created>1710721918252</created>
      <option name="number" value="00017" />
      <option name="presentableId" value="LOCAL-00017" />
      <option name="project" value="LOCAL" />
      <updated>1710721918252</updated>
    </task>
    <task id="LOCAL-00018" summary="生成PcbClients代码">
      <option name="closed" value="true" />
      <created>1710740580202</created>
      <option name="number" value="00018" />
      <option name="presentableId" value="LOCAL-00018" />
      <option name="project" value="LOCAL" />
      <updated>1710740580202</updated>
    </task>
    <task id="LOCAL-00019" summary="App端诊断日志上传">
      <option name="closed" value="true" />
      <created>1710750450574</created>
      <option name="number" value="00019" />
      <option name="presentableId" value="LOCAL-00019" />
      <option name="project" value="LOCAL" />
      <updated>1710750450574</updated>
    </task>
    <option name="localTasksCounter" value="20" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="管理员登录" />
    <MESSAGE value="初始化运维项目" />
    <MESSAGE value="管理员电话和邮箱修改" />
    <MESSAGE value="web品牌管理接口" />
    <MESSAGE value="web维修厂管理接口" />
    <MESSAGE value="用户角色权限更新" />
    <MESSAGE value="refined" />
    <MESSAGE value="使用手册模块更新" />
    <MESSAGE value="视频上传修正" />
    <MESSAGE value="合并master，3.11" />
    <MESSAGE value="增加master缺失文件，3.11" />
    <MESSAGE value="修复bug" />
    <MESSAGE value="生成PcbClients代码" />
    <MESSAGE value="App端诊断日志上传" />
    <option name="LAST_COMMIT_MESSAGE" value="App端诊断日志上传" />
  </component>
</project>